Loading...
Searching...
No Matches
Ray< RealT >::TimeSpan Struct Reference

`#include <openvdb/math/Ray.h>`

## Public Member Functions

| TimeSpan ()
| Default constructor.
| TimeSpan (RealT _t0, RealT _t1)
| Constructor.
void | set (RealT _t0, RealT _t1)
| Set both times.
void | get (RealT &_t0, RealT &_t1) const
| Get both times.
bool | valid (RealT eps=math::Delta< RealT >::value()) const
| Return `true` if t1 is larger than t0 by at least eps.
RealT | mid () const
| Return the midpoint of the ray.
void | scale (RealT s)
| Multiplies both times.
bool | test (RealT t) const
| Return `true` if time is inclusive.

## Public Attributes

RealT | t0
RealT | t1

## Constructor & Destructor Documentation

## TimeSpan() [1/2]

template<typename RealT = double>

TimeSpan | ( |  | ) |

inline

Default constructor.

## TimeSpan() [2/2]

template<typename RealT = double>

TimeSpan | ( | RealT | _t0,
|  | RealT | _t1
| ) |  |

inline

Constructor.

## Member Function Documentation

## get()

template<typename RealT = double>

void get | ( | RealT & | _t0,
|  | RealT & | _t1
| ) |  | const

inline

Get both times.

## mid()

template<typename RealT = double>

RealT mid | ( |  | ) | const

inline

Return the midpoint of the ray.

## scale()

template<typename RealT = double>

void scale | ( | RealT | s | ) |

inline

Multiplies both times.

## set()

template<typename RealT = double>

void set | ( | RealT | _t0,
|  | RealT | _t1
| ) |  |

inline

Set both times.

## test()

template<typename RealT = double>

bool test | ( | RealT | t | ) | const

inline

Return `true` if time is inclusive.

## valid()

template<typename RealT = double>

bool valid | ( | RealT | eps = `math::Delta<RealT>::value()` | ) | const

inline

Return `true` if t1 is larger than t0 by at least eps.

## Member Data Documentation

## t0

template<typename RealT = double>

RealT t0

## t1

template<typename RealT = double>

RealT t1